{{ with index .Versions 0 }}
<a name="{{ .Tag.Name }}"></a>
## {{ if .Tag.Previous }}[{{ .Tag.Name }}]({{ $.Info.RepositoryURL }}/compare/{{ .Tag.Previous.Name }}...{{ .Tag.Name }}){{ else }}{{ .Tag.Name }}{{ end }} ({{ datetime "2006-01-02" .Tag.Date }})

{{ range .CommitGroups -}}
### {{ .Title }}

{{ range .Commits -}}
* {{ if .Scope }}**{{ .Scope }}:** {{ end }}{{ .Subject }}  
  {{ printf "%#v" .Hash }}
  {{ .Hash | printf "%.7s" }}
  {{ .Hash.String }}
  [{{ .Hash | printf "%.7s" }}]({{ $.Info.RepositoryURL }}/commit/{{ .Hash }})
{{ end }}
{{ end -}}

{{- if .RevertCommits -}}
### Reverts

{{ range .RevertCommits -}}
* {{ .Revert.Header }}  
  [{{ .Hash | printf "%.7s" }}]({{ $.Info.RepositoryURL }}/commit/{{ .Hash }})
{{ end }}
{{ end -}}

{{- if .MergeCommits -}}
### Pull Requests

{{ range .MergeCommits -}}
* {{ .Header }}  
  [PR #{{ .PullRequestNumber }}]({{ $.Info.RepositoryURL }}/pull/{{ .PullRequestNumber }})
{{ end }}
{{ end -}}

{{- if .NoteGroups -}}
{{ range .NoteGroups -}}
### {{ .Title }}

{{ range .Notes }}
{{ .Body }}
{{ end }}
{{ end -}}
{{ end -}}
{{ end }}
